﻿@using EnergyMission
@model  EnergyMission.Domain.Entities.ClientTeamMemberEntity
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();

}

@using (Html.BeginForm("Create", "ClientTeamMembers", FormMethod.Post))
{

    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
    <div class="bottom " id="viewperson">
        <div class="left">
            <label class="name">Select People</label>
            <div style="position:relative;">
                @Html.DropDownListFor(model => model.PersonId, ViewBag.person as SelectList, "Select", new { @class = "select-btn" })
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.PersonId, "")</span>
                </div>
            </div>
 
            OR
        </div>

        <div class="right">
            <label class="name">Select Team</label>
            <div style="position:relative;">
                @Html.DropDownListFor(model => model.ClientTeamId, cs.clientTeam, "Select", new { @class = "select-btn" })
                <div class="error-msg">
                    <span class="error"> @Html.ValidationMessageFor(tt => tt.ClientTeamId, "")</span>
                </div>
                <br />
                OR
            </div>

        </div>

        <div class="left">
            <label class="name">Search People</label>
            <div style="position:relative;">

          @Html.DevExpress().ComboBoxFor(x => x.personname,
  settings =>
  {
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
      settings.Properties.DropDownStyle = DropDownStyle.DropDown;

      settings.Properties.ClientSideEvents.SelectedIndexChanged
                            = "onComboBoxSelectedIndexChanged";
      settings.Name = "personname";
      settings.Properties.FilterMinLength = 1;
      settings.Properties.CallbackPageSize = 5;
      settings.Properties.DropDownRows = 10;
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
    
      settings.Width = 180;
      settings.SelectedIndex = -1;
      settings.Properties.TextField = "FirstName";
      settings.Properties.ValueField = "Id";
      settings.Properties.DropDownButton.Visible = false;
      settings.Properties.ValueType = typeof(long);
  }).BindList(cs.GetPersons(ViewBag.user)
).GetHtml()

              
                 
               </div>
        </div>

        <div class="right">
            <label class="name">Search Teams</label>
            <div style="position:relative;">

                @Html.DevExpress().ComboBoxFor(x => x.teamname,
  settings =>
  {
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
      settings.Properties.DropDownStyle = DropDownStyle.DropDown;
      settings.Name = "teamname";

      settings.Properties.ClientSideEvents.SelectedIndexChanged
                            = "onComboBoxSelectedIndexChanged1";
      settings.Properties.FilterMinLength = 1;
      settings.Properties.CallbackPageSize = 5;
      settings.Properties.DropDownRows = 10;
      settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;

      settings.Width = 180;
      settings.SelectedIndex = -1;
      settings.Properties.TextField = "Name";
      settings.Properties.ValueField = "Id";
      settings.Properties.DropDownButton.Visible = false;
      settings.Properties.ValueType = typeof(long);
  }).BindList(cs.GetTeams(ViewBag.user)
).GetHtml()
               
            </div>
        </div>



        <div class="left">
            <input class="save button" name="button" id="btnsave" type="submit" value="Save Changes" />
            <input class="done button" name="button" type="button" onclick="cancelall();" id="btncancel" value="Cancel" />

          
        </div>
    </div>



}
